<div class="content-header row">
  <div class="content-header-left col-md-9 col-12 mb-2">
    <div class="row breadcrumbs-top">
      <div class="col-12">
        <h2 class="content-header-title float-left mb-0">Liste des Quittances</h2>
      
      </div>
    </div>
  </div>
  <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
    <div class="form-group breadcrum-right">
      <div class="dropdown">
        <button class="btn-icon btn btn-primary btn-round btn-sm dropdown-toggle waves-effect waves-light" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="feather icon-settings"></i></button>
        <div class="dropdown-menu dropdown-menu-right"><a class="dropdown-item" href="#">Chat</a><a class="dropdown-item" href="#">Email</a><a class="dropdown-item" href="#">Calendar</a></div>
      </div>
    </div>
  </div>
</div>
<section id="data-thumb-view" class="data-thumb-view-header">
  <div class="row">
      <div class="col-12">
          <div class="card">
              <div class="card-header">
                  <h4 class="card-title"></h4>
              </div>
              <div class="card-content">

                  <div class="card-body card-dashboard">

                      <div class="table-responsive">
                          <a  href="creation_quittance" class="btn mr-1 mb-1 btn-outline-primary btn-sm waves-effect waves-light" style=" margin-left: 2px;">Nouveau quittance</a>

                          <table class="table zero-configuration table-striped" >

                              <thead>
                                <tr>
                                  <th>ETAT</th>
                                  <th>CLIENT</th>
                                  <th>Contrat</th>
                                  <th>TYPE.QUITTANCE</th>
                                  <th>NUMERO</th>
                                  <th>TOTAL</th>
                                  <th>MONTANT.DUE </th>
                                  <th>D.ECHEANCE</th>
                                  <th>PERIODE.DU</th>
                                  <th>PERIODE.AU</th>
                                  <th>ACTION</th>
                                </tr>
                              </thead>
                              <tbody>
                                <tr *ngFor="let q of quittances; index as i">
                                  <td>
                                      <div class="chip chip-danger" *ngIf="etat[i]==='fermé'">
                                        <div class="chip-body">
                                          <div class="chip-text">{{etat[i]}}</div>
                                        </div>
                                      </div>
                                      <div class="chip chip-success" *ngIf="etat[i]==='ouvert'">
                                        <div class="chip-body">
                                          <div class="chip-text">{{etat[i]}}</div>
                                        </div>
                                      </div>
                                    </td>
                                    <ng-container *ngFor="let clt of client">
                                      <ng-container *ngFor="let c of contrats">

                                      <td class="product-category" *ngIf="q.contratId === c.id && c.clientId === clt.id">{{clt.nom}}</td>
                                    </ng-container>  
                                    </ng-container>
                                    
                                      <ng-container *ngFor="let c of contrats">
  
                                    <td class="product-category" *ngIf="q.contratId === c.id">{{c.numeroPolice}}</td>
                                    </ng-container>
                                  <td class="product-category">{{q.type}}</td>
                                  <td class="product-category">{{q.numero}}</td>
                                  <ng-container *ngFor="let c of contrats">
  
                                    <td class="product-category" *ngIf="q.contratId === c.id">{{c.montant}}</td>
                                    </ng-container>
                                  <td class="product-category">{{q.total}}</td>
                                    <td class="product-name">{{q.dateEcheance|  date:'medium'}}</td>
                                  <td class="product-name">{{q.periodeDu|  date:'medium'}}</td>
                                  <td class="product-name">{{q.perdiodeAu|  date:'medium'}}</td>
                                  <td class="product-action">
                                    
                        
                                    <div class="dropdown">
                                     <a class="dropdown-toggle" data-toggle="dropdown" href="#" aria-expanded="false"></a>
                                     <div class="dropdown-menu dropdown-menu-right">
                                      <a class="dropdown-item" href="#" data-toggle="modal" [attr.data-target]="'#show' + i"><i class="feather icon-eye" style="color:blue;"></i>Voir</a>
                         
                                       <a class="dropdown-item" href="#" data-toggle="modal" data-target="#modal-danger2"><i class=" feather icon-trash" style="color: red;"></i>Supprimer</a>
                                     </div>
                                   </div>
                                   
                                   </td>

                                   <div class="modal modal-danger fade" id="show{{i}}">
                                    <div class="modal-dialog " role="document">
                                      <div class="modal-content" style="width:700px">
                                       
                                        <div class="modal-body">
                                               
                                          <div class="row">    
                                            <div class="col-12 col-md-12 d-flex flex-column flex-md-row justify-content-end">
                                              <button class="btn btn-primary mb-1 mb-md-0 waves-effect waves-light" (click)="print(i)"> <i class="feather icon-file-text"></i> Print{{i}}</button>
                                            </div>
                                          </div>
                                          <div id="HTMLtoPDF{{i}}" class="card-body">
                                            <div id="invoice-company-details" class="row">
                                              <div class="col-sm-6 col-12 text-left pt-1">
                                                <div class="media pt-1">
                                                  <img src="assets/app-assets/images/logo/logo.png" alt="company logo">
                                                </div>
                                              </div>
                                             
                                            </div>
                                           

                                       <div id="invoice-customer-details" class="row pt-2">
                                        <div class="col-sm-6 col-12 text-left">
                                         <table>
                                           <tr>
                                             <td>Etat</td>
                                            <td>{{etat[i]}}</td>
                                            </tr>
                                         </table>
                                         
                                          
                                        </div>
                                        
                                      </div>
                                      <div id="invoice-customer-details" class="row pt-2">
                                        <div class="col-sm-6 col-12 text-left">
                                         <table>
                                           <tr>
                                             <td>Numero</td>
                                            <td>{{q.numero}}</td>
                                            </tr>
                                         </table>
                                         
                                          
                                        </div>
                                        <div class="col-sm-6 col-12 text-right">
                                      
                                          <table>
                                            <tr>
                                              <td>Type</td>
                                             <td>{{q.type}}</td>
                                             </tr>
                                          </table>
                                          
                                        </div>
                                      </div>

                                      <div id="invoice-customer-details" class="row pt-2">
                                        <div class="col-sm-6 col-12 text-left">
                                         <table>
                                           <tr>
                                             <td>Contrat</td>
                                             <ng-container *ngFor="let c of contrats">
  
                                              <td *ngIf="q.contratId === c.id">{{c.numeroPolice}}</td>

                                              </ng-container>                                       
                                             </tr>
                                         </table>
                                         
                                          
                                        </div>
                                        <div class="col-sm-6 col-12 text-right">
                                      
                                          <table>
                                            <tr>
                                              <td>Client</td>
                                              <ng-container *ngFor="let clt of client">
                                                <ng-container *ngFor="let c of contrats">
          
                                                <td *ngIf="q.contratId === c.id && c.clientId === clt.id">{{clt.nom}}</td>
                                              </ng-container>  
                                              </ng-container>
                                            </tr>
                                          </table>
                                          
                                        </div>
                                      </div>

                                      <div id="invoice-customer-details" class="row pt-2">
                                        <div class="col-sm-6 col-12 text-left">
                                         <table>
                                           <tr>
                                             <td>Periode Du</td>
                                            <td>{{q.periodeDu|  date:'medium'}}</td>
                                            </tr>
                                         </table>
                                         
                                          
                                        </div>
                                        <div class="col-sm-6 col-12 text-right">
                                      
                                          <table>
                                            <tr>
                                              <td>Periode Au</td>
                                             <td>{{q.perdiodeAu|  date:'medium'}}</td>
                                             </tr>
                                          </table>
                                          
                                        </div>
                                      </div>
                                           
                                            <div id="invoice-items-details" class="pt-1 invoice-items-table">
                                              <div class="row">
                                                <div class="table-responsive col-12">
                                                  <table class="table table-bordered table-striped">
                                                    <thead>
                                                      <tr>
                                                        <th>Description</th>
                                                        <th>Cotisation HT</th>
                                                        <th>Taxe</th>
                                                        <th>Cotisation TTC</th>
                                                      
                                                      </tr>
                                                    </thead>
                                                    <tbody >
                                                    <tr *ngFor="let lf of ligneFactures">
                                                      <ng-container *ngFor="let f of factures" >
                                                        <ng-container *ngIf="f.id === lf.facture_id && lf.quittance_id===q.id">
                                                          <td >{{f.description}}</td>
                                                          <td >{{f.cotisationHT}}</td>
                                                          <td >{{f.taxe}}</td>
                                                          <td >{{f.cotisationTTC}} </td>

                                                        </ng-container>
          
                                                        </ng-container>
                                                    </tr>
                                                    
                                                     
                                                    </tbody>
                                                    <tfoot>
                                                      <td></td>
                                                      <td>Total HT:{{q.totalHt}}</td>
                                                      <td>Total Taxe:{{q.totalTaxe}}</td>
                                                      <td>Total TTC:{{q.total}}</td>

                                                    </tfoot>
                                                  </table>
                                                </div>
                                              </div>
                                            </div>
                                            
                                        
                                            <div id="invoice-total-details" class="text-right pt-3">
                                              
                                              <p>
                                                Fait le:{{q.created_at |  date:'medium'}}
                                              </p>
                                              </div>
                                        
                                          </div>
                                  
                                  
                                        </div>
                                       
                                      
                                      </div>
                                      <!-- /.modal-content -->
                                    </div>
                                    <!-- /.modal-dialog -->
                                  </div>




                                </tr>
                               
                                
                                               
                                  </tbody>
                              
                          </table>
                      </div>
                  </div>
              </div>
          </div>
      </div>
  </div>
  <!-- dataTable ends -->

  <!-- add new sidebar starts -->
 
  <div class="modal modal-danger fade" id="modal-danger2">
    <div class="modal-dialog " role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title" id="myModalLabel4">Suppression Quittance</h4>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">×</span>
          </button>
        </div>
        <div class="modal-body">
          <p>
          Voulez vous supprimer  Quittance 1
          </p>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-primary waves-effect waves-light" data-dismiss="modal">Supprimer</button>
        </div>
      
      </div>
      <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
  </div>
  <!-- add new sidebar ends -->
</section>

